<?php
include_once 'Form.php';

/*
 * Registers this module to handle all request for 'contact'
 */
#registerModule('contact', 'handleContactRequest');

function footer($args)
{
	global $canvas;
	
	#registerPosition('contact');
	
	$form = new Form();
	$buffer .= '';
	
	//FIXME: This list could be generated dynamically
	$form->createField('Name', 'name', 'text');
	$form->createField('Email', 'email', 'email');
	$form->createField('Subject', 'subject', 'text');
	$form->createField('Message', 'message', 'multi');
	$form->createField('Submit', 'submit', 'submit');
	
	#$canvas->assign('title', 'Contact');
	
	if(isset($_SERVER['submit']) && !isset($clear_processing)) {
		if(Form::validate($_POST, $form)) {
			$items = Form::loadFormItems($_POST, $form);
			foreach($form->fields as $field) {
				$buffer .= $field->text.': ';
				$buffer .= $items[$field->id]."\n";
			}
			
			//FIXME: I am assuming that there is an $items['name']
			if(mail('foundation@weidnerfoundation.org', 'FORM MAIL FROM: '.$items['name'], $buffer)) {
				$canvas->assign('title', 'Thank you');
				#$canvas->assign('content', 'Thank you, your submission has been sent!');
				$buffer .= 'Thank you, your submission has been sent!';
				#$canvas->load('page.tpl');
			} else {
				$canvas->assign('title', 'Error!');
				#$canvas->assign('content', 'There was an error processing your request. Please try again.');
				$buffer .= 'There was an error processing your request. Please try again.';
				#$canvas->load('page.tpl');
			}
		} else {
			$buffer = 'Please fill out all fields before submiting your request.';
			foreach($form->fields as $field) {
				$field->value = $items[$field->id];
			}
			$buffer .= $form->paint();
			#$canvas->assign('content', $content);
			#$canvas->display('page.tpl');
		}
	} else {
		#$canvas->assign('content', $form->paint());
		$buffer = $form->paint();
		#$canvas->display('page.tpl');
	}
	
	return $buffer;
}
?>
