create table categories
(
	category_name varchar(50),
	header_template varchar(200),
	footer_template varchar(200),
	left_top_template varchar(200),
	left_bottom_template varchar(200),
	right_top_template varchar(200),
	right_bottom_template varchar(200),
	category_image varchar(200)
);

create table pages
(
	page_id varchar(50),
	page_title varchar(150),
	page_content longtext,
	category_name varchar(50),
	language varchar(7)
);

create table news
(
	news_date bigint,
	news_title varchar(50),
	news_content longtext,
	language varchar(7)
);

create table modules
(
	page_id varchar(50),
	category_name varchar(50),
	module_name varchar(50),
	module_type varchar(50),
	replace_template tinyint
);

create table strings
(
	string_id varchar(50),
	language varchar(7),
	string varchar(250)
);

create table newslist
(
	name varchar(50),
	email varchar(120)
);
